From 68e220e5c9f8bbd383e3fe7567a35e2c02c52923 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 24 Jul 2026 05:16:38 +0000
Subject: [PATCH] dropbear: upgrade 2026.92 -> 2026.94

Source: CHANGES

2026.94 - 23 July 2026

- Fix scp build failure regression from 2026.93
  The new ascii_isdigit() etc wasn't linked.

- Print square brackets around ipv6 addresses with ports, eg
  [2a00:f10:400:2:1c00:bcff:fe00:1c6]:22
  Patch from Seo Suchan

- Support longer paths in scp.

- Avoid some build warnings, add increase github action coverage of
  config options.

2026.93 - 21 July 2026

Note >> for compatibility/configuration changes

- Security: Fix a use-after-free in X11 forwarding that could possibly lead
  to memory corruption. This is vulnerable to authenticated users if X11
  forwarding is enabled. By default X11 forwarding is not built.
  In 2026.89 the server is running as the authenticated user for X11
  forwarding, in earlier versions it runs as root.
  This removes X11 "single connection" which has probably never been used.
  Reported by @peter-pe
  https://github.com/mkj/dropbear/commit/882f83806d5e133037cd28e954a878984ef7b9c4

- >> "permitlisten" authorized_keys lines will now be ignored if
  the port is invalid (>65535). From Basavaraj S Maneppagol.

- >> In 2026.92, the configure option --enable-plugin-deprecated
  wasn't correctly renamed. This is now implemented.
  Patch from Alexander Dahl

- Two factor auth "-t" is no longer deprecated, it will be kept.
  The "DEPRECATED_TWO_FACTOR" option is ignored, and no longer required.

- Fix out of bounds read during utmp/wtmp log file handling, reported by
  Basavaraj S Maneppagol.

- More robust handling of ascii inputs for some platforms.
  From Basavaraj S Maneppagol

- Convert manpages to mdoc format, from shrub

  [Updated 16 July: This is no longer planned to be removed, future releases
  will ignore DEPRECATED_TWO_FACTOR and always enable it, like previously]
---
 .../dropbear/0001-urandom-xauth-changes-to-options.h.patch    | 4 ++--
 .../dropbear/dropbear/0005-dropbear-enable-pam.patch          | 4 ++--
 .../dropbear/dropbear/0006-dropbear-configuration-file.patch  | 4 ++--
 .../dropbear/{dropbear_2026.92.bb => dropbear_2026.94.bb}     | 2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)
 rename meta/recipes-core/dropbear/{dropbear_2026.92.bb => dropbear_2026.94.bb} (98%)

diff --git a/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch b/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
index b0f8e61998..48ed1570cc 100644
--- a/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
+++ b/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
@@ -1,4 +1,4 @@
-From e5f6c6e8d2b6315e509c610e7d13e7dd2b465a85 Mon Sep 17 00:00:00 2001
+From f1399f50d279e28abc028ace03f3978f6799a8cc Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard@openedhand.com>
 Date: Wed, 31 Aug 2005 10:45:47 +0000
 Subject: [PATCH] urandom-xauth-changes-to-options.h
@@ -9,7 +9,7 @@ Upstream-Status: Inappropriate [configuration]
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/src/default_options.h b/src/default_options.h
-index ffaf062..2eb7de1 100644
+index 2a5ebc0..3047c09 100644
 --- a/src/default_options.h
 +++ b/src/default_options.h
 @@ -347,7 +347,7 @@ group1 in Dropbear server too */
diff --git a/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch b/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
index bfb78b1ee1..d8208ce595 100644
--- a/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
+++ b/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
@@ -1,4 +1,4 @@
-From dce5d03ed4d28c6374e593b7ef2cc4688f795fbd Mon Sep 17 00:00:00 2001
+From bf84534c2f3038db61d8a1074de15047fd394067 Mon Sep 17 00:00:00 2001
 From: Jussi Kukkonen <jussi.kukkonen@intel.com>
 Date: Wed, 2 Dec 2015 11:36:02 +0200
 Subject: [PATCH] Enable pam
@@ -15,7 +15,7 @@ Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com>
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/src/default_options.h b/src/default_options.h
-index 2eb7de1..be85bee 100644
+index 3047c09..db53262 100644
 --- a/src/default_options.h
 +++ b/src/default_options.h
 @@ -240,7 +240,7 @@ group1 in Dropbear server too */
diff --git a/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch b/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
index 7509efb88c..90bac899f2 100644
--- a/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
+++ b/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
@@ -1,4 +1,4 @@
-From 50d64008f722f0f9719fc6c1b44582316022b93e Mon Sep 17 00:00:00 2001
+From 78c42d05b0a162e1a35b8e3f90d9c0abeb577d50 Mon Sep 17 00:00:00 2001
 From: Mingli Yu <Mingli.Yu@windriver.com>
 Date: Thu, 6 Sep 2018 15:54:00 +0800
 Subject: [PATCH] dropbear configuration file
@@ -16,7 +16,7 @@ Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/src/svr-authpam.c b/src/svr-authpam.c
-index ec14632..026102f 100644
+index 6bbf820..d8d383d 100644
 --- a/src/svr-authpam.c
 +++ b/src/svr-authpam.c
 @@ -224,7 +224,7 @@ void svr_auth_pam(int valid_user) {
diff --git a/meta/recipes-core/dropbear/dropbear_2026.92.bb b/meta/recipes-core/dropbear/dropbear_2026.94.bb
similarity index 98%
rename from meta/recipes-core/dropbear/dropbear_2026.92.bb
rename to meta/recipes-core/dropbear/dropbear_2026.94.bb
index 4d9a9e10eb..dd9863d96d 100644
--- a/meta/recipes-core/dropbear/dropbear_2026.92.bb
+++ b/meta/recipes-core/dropbear/dropbear_2026.94.bb
@@ -27,7 +27,7 @@ SRC_URI = "http://matt.ucc.asn.au/dropbear/releases/dropbear-${PV}.tar.bz2 \
            ${@bb.utils.contains('DISTRO_FEATURES', 'pam', '${PAM_SRC_URI}', '', d)} \
            "
 
-SRC_URI[sha256sum] = "91dcb5234de8dea68dd82c55411c9fc986b457ab58372a780ee8a870419c2f7e"
+SRC_URI[sha256sum] = "e098034a843699200c8c977a991fff73159735bf795d5f72ef672c41a6b1ae81"
 MIRRORS += "http://matt.ucc.asn.au/dropbear/releases/ https://dropbear.nl/mirror/releases/"
 
 PAM_SRC_URI = "file://0005-dropbear-enable-pam.patch \
-- 
2.47.1

